Commit from aroach (2004-12-18 04:37 CET)
------------------

Fixed up the initialisation for the gif sub-driver so it uses the
gif, and not the png init function.

  plplot  drivers/gd.c  1.37


Commit from arjenmarkus (2004-12-16 09:37 CET)
-----------------------

Added support for the Enter/Return key, as suggested by B. Peterson

  plplot  sys/win32/msdev/src/win3.cpp  1.12


Commit from rlaboiss (2004-12-11 19:08 CET)
--------------------

Fixed a typo that was preventing the font to switch back to the current one
after a Greek character has been processed.

  plplot  src/plfreetype.c  1.28


Commit from rlaboiss (2004-12-11 17:40 CET)
--------------------

* Added a hershey_to_unicode function for translating the greek character
  from the Hershey encoding into Unicode.

* When calling FT_Load_Char() in FT_WriteStr(), test for FT->greek and call
  appropriately the hershey_to_unicode function.  This is intended to be
  used with the FreeSans.ttf font in Unix/Linux.  It should also work with
  Arial.ttf (from the msttcorefonts package), but I did not test it.  I let
  the logic for Windows unmodified.

* Updated Copyright holders.

  plplot  src/plfreetype.c  1.27


Commit from andrewross (2004-12-10 15:52 CET)
----------------------

Update copyright notices.

  plplot  cf/freetype.ac    1.5
  plplot  src/plfreetype.c  1.26


Commit from andrewross (2004-12-10 15:51 CET)
----------------------

Add configure options to select free / MS fonts for freetype. Also allow
configuration of font location and override choice of individual fonts.

  plplot  cf/freetype.ac    1.4
  plplot  src/plfreetype.c  1.25


Commit from airwin (2004-12-09 23:01 CET)
------------------

Use more standard default location for MS fonts as discussed on list.

  plplot  src/plfreetype.c  1.24


Commit from andrewross (2004-12-09 17:25 CET)
----------------------

Fix a couple more warnings caused by the PLINT changes from int to long.

  plplot  drivers/ps.c      1.73
  plplot  drivers/xwin.c    1.123
  plplot  include/plstrm.h  1.33
  plplot  src/plctrl.c      1.77


Commit from rlaboiss (2004-12-07 17:44 CET)
--------------------

RL for Thomas J. Duck: The shear needed to be applied to position
superscripts and subscripts correctly.

  plplot  drivers/ps.c  1.72


Commit from rlaboiss (2004-12-07 00:03 CET)
--------------------

Transcode some characters from the PLplot convention for Greek glyphs into
the Adobe encoding for the Symbol PS font.

  plplot  drivers/ps.c  1.71


Commit from rlaboiss (2004-12-06 23:21 CET)
--------------------

[This is a forced commit because I accidentally committed the last version
without a log message.  Sorry.]

Fixed typo which was preventing other fonts than Helvetica to be used. In
particular, Greek characters appear now in output, although the Hershey
encoding has not yet been mapped onto the Adobe one.

Also, added license notice and copyright info.

  plplot  drivers/ps.c  1.70


Commit from rlaboiss (2004-12-06 23:17 CET)
--------------------

ps.c

  plplot  drivers/ps.c  1.69


Commit from rlaboiss (2004-12-06 17:00 CET)
--------------------

Changes contributed by Thomas Dick to fix the string offset computation.
Example x03c produces now the correct ouptu for -dev ps -drvopt text.

  plplot  drivers/ps.c  1.68


Commit from airwin (2004-12-06 01:57 CET)
------------------

Make text=1 work for all values of ori.

Restore some minor documentation and commentary changes.

  plplot  drivers/ps.c  1.67


Commit from rlaboiss (2004-12-06 00:23 CET)
--------------------

Thomas J. Duck contribution committed by RL to get -drvopt text=1
(postscript fonts) option to work correctly in 3D cases.

  plplot  drivers/ps.c  1.66


Commit from airwin (2004-12-04 21:54 CET)
------------------

Thomas J. Duck contribution committed by AWI to get -drvopt text=1
(postscript fonts) option to work correctly when reoriented (in non-3D
cases.  3D case still has consistent problems in all orientations.)

1) When using postscript fonts and portrait orientation, the text is now
   rotated correctly.

2) When using postscript fonts, brackets are now properly escaped for the SW
   postscript command, thus avoiding postscript errors.

3) Subscripts and superscripts are now printed with a smaller font
size.

4) AWI addition.  Previous logic with if(text == 1) is now replaced with
if(text) so that text= 2,3,4... gives identical results (use postscript
fonts) to text=1.  The old logic was making rotations appropriate for text
==0 (Hershey fonts) for the text == 2, 3, etc. case with badly oriented
results as a consequence.

  plplot  drivers/ps.c  1.65


Commit from airwin (2004-12-04 20:55 CET)
------------------

As discussed on list, revert the previous change that made "the PostScript
linewidth a multiple of DEF_WIDTH." This change returns the fine-grained
control of line width to the ps device, but makes the results inconsistent
with other lower-resolution devices.  If line-width consistency between
devices is required by users, then they are currently free to add logic to
their scripts to recognize the devices and change the plwid values
accordingly.  Ultimately, we might decide to make another width function
with PLFLT argument that specifies the width in millimetres and which
internally does the appropriate calculation of the PLINT argument to plwid
to make consistent (in mm) widths for all devices.

  plplot  drivers/ps.c  1.64


Commit from andrewross (2004-12-03 11:15 CET)
----------------------

Fix a couple more PLINT issues in the C examples.

  plplot  examples/c/x16c.c  1.26
  plplot  examples/c/x20c.c  1.16


Commit from arjenmarkus (2004-12-03 09:45 CET)
-----------------------

Added caution regarding a Windows C/C++ compiler (optimisation problem)

  plplot  sys/win32/msdev/INSTALL.TXT  1.4


Commit from arjenmarkus (2004-12-02 15:11 CET)
-----------------------

Update of installation information; support for title option

  plplot  sys/win32/msdev/INSTALL.TXT   1.3
  plplot  sys/win32/msdev/README.TXT    1.4
  plplot  sys/win32/msdev/src/win3.cpp  1.11


Commit from airwin (2004-12-01 03:18 CET)
------------------

Change definition of PLINT from int to long

  plplot  include/plplot.h  1.155


Commit from airwin (2004-12-01 02:52 CET)
------------------

Remove workaround for definition of integer arrays.  Now can be full-blown
Numeric array because fixed the swig-generated interface to allow this.

  plplot  examples/python/xw08.py  1.32
  plplot  examples/python/xw11.py  1.17


Commit from airwin (2004-12-01 02:50 CET)
------------------

Use PyArray_LONG rather than PyArray_INT for array types.  This solves problem
with integer arrays in Python/Numeric which were defaulting to PyArray_LONG
and generating errors in examples (for the few cases examples 8 and 11) which
exercised integer arrays.  I will subsequently remove the workaround for
this problem I put into xw08.py and xw11.py.

Also change PLINT in generated swig code from int to long.  (This works
regardless of whether PLINT is defined in the C library as a long or int.)

  plplot  bindings/python/plplotcmodule.i  1.24


Commit from airwin (2004-12-01 02:29 CET)
------------------

Distribute fragments.i

  plplot  bindings/python/Makefile.am  1.39


Commit from airwin (2004-12-01 02:05 CET)
------------------

Initial commit for swig version 1.3.21 fragments.i file which insures we keep
a simple style for returned tuples.  Swig version 1.3.22 appears to have
moved to a hierarchical return tuple style.

Without this fix a plplot function with multiple return values, i.e.,
plgcol0(10) returns the following tuple:
((138, 43), 226)

With this fix the returned tuple is

(138, 43, 226)

which is what we want!

+ plplot  bindings/python/fragments.i  1.1


Commit from airwin (2004-11-30 21:00 CET)
------------------

C++ int ==> PLINT cleanup

  plplot  examples/c++/x01.cc       1.15
  plplot  examples/c++/x08.cc       1.10
  plplot  examples/c++/x11.cc       1.7
  plplot  examples/c++/x16.cc       1.9
  plplot  examples/c++/x18.cc       1.6
  plplot  examples/c++/x20.cc       1.8
  plplot  examples/c++/x21.cc       1.9
  plplot  bindings/c++/plstream.cc  1.29
  plplot  bindings/c++/plstream.h   1.22


Commit from airwin (2004-11-30 19:36 CET)
------------------

Tweak

  plplot  bindings/c++/.cvsignore  1.4


Commit from airwin (2004-11-21 00:10 CET)
------------------

Inspired hack suggested by Rafael Laboissiere to get around annoying aclocal
underquoted messages from all the system installed *.m4 files that do not
conform to the automake-1.8 quoting standard.  This hack only works because
there is currently a particular pattern of aclocal use in the generated
Makefile.  If that generated pattern is changed the hack may stop working.
Thus, this hack should be removed as soon as the system *.m4 files conform
to the automake-1.8 quoting standard.

  plplot  Makefile.am  1.41


Commit from rlaboiss (2004-11-20 10:41 CET)
--------------------

Avoid aclocal warnings about underquote definitions of macros

  plplot  cf/docbook.m4  1.3


Commit from andrewross (2004-11-09 19:14 CET)
----------------------

Fix python bindings to work with swig >= 1.3.22

  plplot  bindings/python/Makefile.am        1.38
  plplot  bindings/python/makedocstrings.py  1.3


Commit from airwin (2004-11-06 20:58 CET)
------------------

Initialize colour map 1 for each page of example 8.  This solves a
long-standing problem when rendering pages out of order.  (Such rendering
can occur for plrender -dev tk where you have the ability to move to prior
pages, and also for other GUI front-ends for PLplot).  For pages that are
rendered out of order, the current cmap1 is used so if you move from a gray
scale page to an ordinary colour map page (i.e. move from the fifth page to
the fourth page in example 8) the result will be rendered with the
(incorrect) gray scale colour map _unless_ (as in this change) you
properly initialize cmap1 for each page.

  plplot  examples/c/x08c.c        1.44
  plplot  examples/c++/x08.cc      1.9
  plplot  examples/f77/x08f.fm4    1.13
  plplot  examples/java/x08.java   1.24
  plplot  examples/perl/x08.pl     1.4
  plplot  examples/python/xw08.py  1.31
  plplot  examples/tcl/x08.tcl     1.22


Commit from rlaboiss (2004-10-28 08:25 CEST)
--------------------

Comment out commands that give redundant informations

  plplot  cf/bootstrap.sh  1.6


Commit from airwin (2004-10-27 20:40 CEST)
------------------

Revert to explicit use of various autotools commands rather than the
recommended autoreconf command.  It turns out for the particular way we use
libltdl we need the libtoolize --ltdl option.  We might change our libltdl
approach in the future which would allow us to go back to using autoreconf.

This is only a partial reversion of the last commit.  Compared to two
versions ago we still have the following changes:

(1) aclocal options can no longer be specified (I don't think we have need
of this, see previous commit message).

(2) we use relative path for cf directory which means macros in the cf
directory are accessed with m4_include rather than copied.  This makes the
tarball slightly smaller.  However, the real reason I am moving to this is
relative paths are illustrated in the documentation so it appears this is
the more usual way of doing things.

  plplot  cf/bootstrap.sh  1.5


Commit from airwin (2004-10-27 20:25 CEST)
------------------

Use tuple rather than Numeric array for integer array used by PLplot to work
around typecode problem revealed by recent python 2.3.4 and/or Numeric 23.5
changes.  More discussion to be posted on plplot_devel list.

  plplot  examples/python/xw08.py  1.30
  plplot  examples/python/xw11.py  1.16


Commit from airwin (2004-10-27 02:29 CEST)
------------------

Two important changes to the configuration bootstrap script:

(1) replace the part of the script that runs the required autotools commands
in the correct order and with the correct options to bootstrap the PLplot
configuration system.  The replacement is just simply running the autoreconf
script as strongly recommended by the autotools documentation.

(2) remove the aclocal option processing.  Rafael kindly supplied this in
the old days in response to my need to run downloaded versions of the
autotools rather than system versions.  However, I don't need this any more
(Debian testing has virtually the latest autotools), and it may turn out
if/when we need this facility in the future that autoreconf handles this
properly, i.e., uses autotools files consistent with the downloaded
autotools version you have installed and specified by changing your PATH
appropriately.

N.B. I have discussed both these experimental changes with Rafael and he
said essentially try it and see.  So that is what I am doing.  They work
fine for me.  But we need more extensive testing.  If anybody has trouble
with them, I am mentally prepared to revert these changes.

  plplot  cf/bootstrap.sh  1.4


Commit from airwin (2004-10-27 02:14 CEST)
------------------

Use

ACLOCAL_AMFLAGS = -I cf

for top-level Makefile.am.  From my experience this means you only have to
run cf/bootstrap.sh and ./configure once after a clean install.  After that,
for example, you can do the following:

touch configure.ac (or edit configure.ac or any file in the cf directory in
any way when working on the configuration).  After such a change to a key
configuration file

make >& make.out

just works, and aclocal, automake, autoconf, ./configure etc., are run in
the correct order automatically.

  plplot  Makefile.am  1.40


Commit from andrewross (2004-10-18 10:44 CEST)
----------------------

Add missing -I directive to allow building in a separate tree when
dynamic drivers are disabled.

  plplot  drivers/Makefile.am  1.48


Commit from andrewross (2004-10-07 13:01 CEST)
----------------------

Rename internal plvecf_int to plfvect to make it like the plcont case.
Add function definition to plplotP.h so it is available for the fortran
bindings. Fixes crash with x22f and single precision.

  plplot  bindings/f77/sccont.c  1.12
  plplot  include/plplotP.h      1.80
  plplot  src/plvect.c           1.8


Commit from andrewross (2004-10-06 22:03 CEST)
----------------------

Add explicit casting of arguments as double for pow in C++ examples.
All examples now compile with the single precision version of the library.

  plplot  examples/c++/x01.cc  1.14
  plplot  examples/c++/x04.cc  1.7
  plplot  examples/c++/x08.cc  1.8
  plplot  examples/c++/x11.cc  1.6
  plplot  examples/c++/x14.cc  1.9
  plplot  examples/c++/x21.cc  1.8
  plplot  examples/c++/x22.cc  1.9


Commit from andrewross (2004-10-06 21:15 CEST)
----------------------

Couple of fixes to allow building single precision fortran bindings in a
separate build tree. The sed scripts to do the double->single conversion
are in the source tree.

  plplot  bindings/f77/Makefile.am  1.22
  plplot  examples/f77/Makefile.am  1.26


Commit from rlaboiss (2004-09-09 08:15 CEST)
--------------------

Added RCS Id keyword

  plplot  scripts/make-cvs-tarball.sh  1.26


Commit from arjenmarkus (2004-09-08 12:13 CEST)
-----------------------

Solved problems concerning the use of plvect and plsvect in the DLL-version

  plplot  sys/win32/msdev/src/plplot.h     1.6
  plplot  sys/win32/msdev/src/plplotd.def  1.3
  plplot  sys/win32/msdev/src/plstub.cpp   1.5


Commit from andrewross (2004-09-07 18:00 CEST)
----------------------

Revert changes to massage.c and instead fix Makefile.am so etc/plplot.doc
is correctly copied to the build tree. Together with Rafael's recent change
octave bindings now builds correctly for me both inside and outside the
source tree.

  plplot  bindings/octave/.cvsignore    1.9
  plplot  bindings/octave/Makefile.am   1.51
+ plplot  bindings/octave/massage.c     1.7
- plplot  bindings/octave/massage.c.in  1.2
  plplot  cf/octave.ac                  1.6


Commit from rlaboiss (2004-09-07 09:43 CEST)
--------------------

Added "-cpp_ignore $(scrdir)" to the call of matwrap, such that the Octave
binding builds in the source tree.  This may also work in a separate build
tree, but I did not test it.

  plplot  bindings/octave/Makefile.am  1.50


Commit from aroach (2004-09-07 05:51 CEST)
------------------

Updated the documentation for adding freetype support to drivers to
include supporting the inbuilt text cache.

  plplot  doc/docbook/src/advanced.xml  1.23


Commit from airwin (2004-09-06 22:29 CEST)
------------------

Tweak.

  plplot  bindings/octave/.cvsignore  1.8


Commit from rlaboiss (2004-09-06 22:23 CEST)
--------------------

Reverted one of the previous changes to make the Octave binding build in a
separate build tree.  With the wrong --cpp_ignore option, compilation fails
in the CVS checked out tree.

  plplot  bindings/octave/Makefile.am  1.49


Commit from rlaboiss (2004-09-06 22:17 CEST)
--------------------

Applied patch by Joao Cardoso such that the Octave binding work with the gif
driver.

  plplot  bindings/octave/PLplot/figure.m  1.22


Commit from airwin (2004-09-05 00:43 CEST)
------------------

If gcc is the compiler, then use the options -fno-force-mem -ffloat-store
to build libcsironn so that it gives more reliable results.

  plplot  configure.ac        1.187
  plplot  lib/nn/Makefile.am  1.14


Commit from andrewross (2004-09-03 17:45 CEST)
----------------------

Fix so octave bindings will install from a separate build tree. Docs
are still in the source tree.

  plplot  bindings/octave/Makefile.am  1.48


Commit from andrewross (2004-09-03 17:33 CEST)
----------------------

Octave configuration changes so octave bindings will now build in a
separate build tree.

  plplot  bindings/octave/Makefile.am   1.47
- plplot  bindings/octave/massage.c     1.6
+ plplot  bindings/octave/massage.c.in  1.1
  plplot  cf/octave.ac                  1.5


Commit from aroach (2004-09-03 05:38 CEST)
------------------

Fixed up a couple of logic errors in the dependencies in the gd
driver (ie png is dependent on libz and libpng but not libjpeg
etc...)

  plplot  cf/gd.ac  1.5


Commit from airwin (2004-09-02 17:14 CEST)
------------------

Spelling fix: overriden ==> overridden

  plplot  drivers/wingcc.c        1.8
  plplot  test/plplot-test.sh.in  1.29


Commit from rlaboiss (2004-09-02 11:59 CEST)
--------------------

For make clean, remove .gif files and the family of output files as well.

  plplot  test/Makefile.am  1.21


Commit from rlaboiss (2004-09-02 11:55 CEST)
--------------------

Added exclusions for the graphic files produced by plplot-test.sh

  plplot  test/.cvsignore  1.10


Commit from rlaboiss (2004-09-02 11:53 CEST)
--------------------

Fixed minor typo in help string

  plplot  test/plplot-test.sh.in  1.28


Commit from rlaboiss (2004-09-02 11:20 CEST)
--------------------

For the --with and --enable options defined via PL_ARG_WITH and
PL_ARG_ENABLE, do not output the default value in the help string when the
third argument to these macros is the empty string.  This avoids the ugly
"[default=]" that used to appear in ./configure --help.

  plplot  cf/acinclude.m4  1.9


Commit from airwin (2004-09-02 07:12 CEST)
------------------

Add gif as a possible device.

  plplot  test/plplot-test.sh.in  1.27


Commit from airwin (2004-09-01 06:30 CEST)
------------------

Correct syntax error when jpeg and gif were disabled with png enabled.

  plplot  drivers/gd.c  1.36


Commit from aroach (2004-08-31 11:59 CEST)
------------------

Fixing a small oversight in the driver which I didn't fix with the
last commit.

  plplot  drivers/wingcc.c  1.7


Commit from aroach (2004-08-31 11:55 CEST)
------------------

With the expiration of Unisys's patents on the GIF frmat, GD 2.0.28
bought back support for GIFs, so with thie new sub-driver,
plplot has too.

  plplot  cf/drivers-init.ac   1.3
  plplot  cf/gd.ac             1.4
  plplot  drivers/gd.c         1.35
  plplot  include/drivers.h    1.47
  plplot  include/plDevs.h.in  1.6
  plplot  include/plcore.h     1.69


Commit from airwin (2004-08-30 22:08 CEST)
------------------

javabind.c is part of the historical hand-crafted Java interface.  Move it
to the old subdirectory for reference purposes.

- plplot  bindings/java/javabind.c  1.27
+ plplot  old/javabind.c            1.1


Commit from airwin (2004-08-30 22:07 CEST)
------------------

Improved documentation of the java interface with special attention to the
bits of the old interface that have now been removed to the old subdirectory
of the top-level source tree.  Also, remove the wishlist item concerning a
better interface wrapper which has now been done by Andrew Ross.

  plplot  bindings/java/README.javaAPI  1.11


Commit from airwin (2004-08-30 22:01 CEST)
------------------

PLStreamc.java is no longer used.

  plplot  bindings/java/Makefile.am  1.44


Commit from airwin (2004-08-30 21:57 CEST)
------------------

Remove this file from CVS that is no longer used.

- plplot  bindings/java/PLStreamc.java  1.5


Commit from airwin (2004-08-30 21:44 CEST)
------------------

Move setup.py.in (which has long been superseded by swig and autotools method
for building the python interface) to old subdirectory for reference purposes.

+ plplot  old/setup.py.in              1.1
- plplot  bindings/python/setup.py.in  1.4


Commit from airwin (2004-08-30 21:21 CEST)
------------------

Move historical hand-crafted plmodule.c and plmodule.h (long superseded by
the swig-based approach for generating the interface) to the "old" subdirectory
to keep these files accessible for reference purposes.

  plplot  bindings/python/Makefile.am      1.37
  plplot  bindings/python/plplotcmodule.i  1.23


Commit from airwin (2004-08-30 21:16 CEST)
------------------

Move historical hand-crafted plmodule.c and plmodule.h (long superseded by
the swig-based approach for generating the interface) to the "old" subdirectory
to keep these files accessible for reference purposes.

+ plplot  old/plmodule.c                      1.1
+ plplot  old/plmodule.h                      1.1
  plplot  bindings/python/README.pythonbuild  1.9
- plplot  bindings/python/plmodule.c          1.26
- plplot  bindings/python/plmodule.h          1.8


Commit from airwin (2004-08-30 21:02 CEST)
------------------

BACKWARDS INCOMPATIBLE API CHANGE.  Drop deprecated plarrows from python
interface as discussed on list.  Note this API was always defined within
an #ifdef SWIG_PYTHON conditional, so contrary to list discussion plarrows
was never part of the Java API.

  plplot  bindings/swig-support/plplotcapi.i  1.8


Commit from aroach (2004-08-28 13:01 CEST)
------------------

Hopefully fixed up the small problem with non x-axis not being
properly oriented or located.

  plplot  src/plfreetype.c  1.23


Commit from arjenmarkus (2004-08-27 14:56 CEST)
-----------------------

Updated win32 sources for plsvect/plvect

  plplot  sys/win32/msdev/plpdll/plpdll.mak  1.3
  plplot  sys/win32/msdev/plplib/plplib.mak  1.7
  plplot  sys/win32/msdev/src/plplot.h       1.5
  plplot  sys/win32/msdev/src/plstub.cpp     1.4


Commit from airwin (2004-08-24 21:56 CEST)
------------------

Bugfix for plsurf family of routines: user specified z tick spacing was not
being communicated to back plane drawing routine.

  plplot  src/plot3d.c  1.64


Commit from rlaboiss (2004-08-22 22:19 CEST)
--------------------

Do not include Makefile.examples in the tarball, since it is automatically
generated by configure.

  plplot  examples/java/Makefile.am  1.19


Commit from rlaboiss (2004-08-22 22:17 CEST)
--------------------

In EXTRA_DIST, dropped the test*.sh files that are automatically generated
by configure.

  plplot  test/Makefile.am  1.20


Commit from rlaboiss (2004-08-22 21:52 CEST)
--------------------

Tarball release 5.3.1.cvs.20040822

  plplot  configure.ac  1.186


Commit from rlaboiss (2004-08-22 19:02 CEST)
--------------------

Changed regular expression for getting Automake version numbers.  Now it
works with an x.y format (like that for Automake 1.9).

  plplot  cf/bootstrap.sh  1.3


Commit from aroach (2004-08-21 15:48 CEST)
------------------

Changed the driver number to a higher number so the wingcc driver
should list first on windows platforms.

  plplot  drivers/wingcc.c  1.6


Commit from rlaboiss (2004-08-21 14:25 CEST)
--------------------

Changed the if/else logic to avoid dummy statements.

  plplot  cf/pdl.ac  1.4


Commit from airwin (2004-08-21 02:32 CEST)
------------------

Change from HAS_pdl option and corresponding has_pdl conditional to
enable_pdl option which can be set by user and corresponding enable_pdl
conditional.

By default enable_pdl is turned off because pdl-2.4.2 (which has the
required interface to PLplot) has not been released yet.  But experimentally
you can try it if you have the pdl-2.4.1 version from Debian testing (which
also contains the PLplot interface), and good results are obtained in that
special case.

  plplot  cf/pdl.ac               1.3
  plplot  cf/summary.ac           1.5
  plplot  test/Makefile.am        1.19
  plplot  test/plplot-test.sh.in  1.26


Commit from rlaboiss (2004-08-21 00:16 CEST)
--------------------

Fixed vertical labels in table.  The output should be identical to that of
the x06c.c example now.

  plplot  examples/perl/x06.pl  1.4


Commit from airwin (2004-08-21 00:11 CEST)
------------------

Drop unneeded pythonsrcdir.

  plplot  test/plplot-test.sh.in  1.25


Commit from airwin (2004-08-21 00:09 CEST)
------------------

Improve commentary to distinguish better between source and build tree.

  plplot  test/test_python.sh.in  1.8


Commit from rlaboiss (2004-08-20 23:52 CEST)
--------------------

Fixed setting of fontset and he computation of $x in plot1().  The output of
this examples must be identical to that of the C counterpart.

  plplot  examples/perl/x01.pl  1.11


Commit from airwin (2004-08-20 23:43 CEST)
------------------

Look for python build libraries in the relative path corresponding to the
build tree.  Look for python scripts in both the source tree and build tree.

  plplot  examples/python/plplot_python_start.py.in  1.7


Commit from airwin (2004-08-20 20:59 CEST)
------------------

x??c.ps ==> x??pdl.ps output file names.

  plplot  test/test_perl.sh.in  1.2


Commit from airwin (2004-08-20 18:56 CEST)
------------------

Add perl/pdl front end to tests.

  plplot  test/plplot-test.sh.in  1.24
+ plplot  test/test_perl.sh.in    1.1


Commit from airwin (2004-08-20 18:53 CEST)
------------------

Install test_perl.sh

Add SRC_EXAMPLES_DIR to TESTS_ENVIRONMENT

  plplot  test/Makefile.am  1.18


Commit from airwin (2004-08-20 18:44 CEST)
------------------

Tweak

  plplot  test/.cvsignore  1.9


Commit from furnish (2004-08-20 18:38 CEST)
-------------------

Add a couple of options to make it easier to build a tarball from cvs, on a
machine where it takes a little extra TLC to get the post-export config to
work correctly.

  plplot  scripts/make-cvs-tarball.sh  1.25


Commit from airwin (2004-08-20 18:31 CEST)
------------------

Configure test_perl.sh

  plplot  cf/test.ac  1.5


Commit from airwin (2004-08-20 18:01 CEST)
------------------

Temporary change to minimal PDL_MICRO_VERSION to allow Debian version to
pass test.

has_pdl conditional.

  plplot  cf/pdl.ac  1.2


Commit from furnish (2004-08-20 14:52 CEST)
-------------------

By the time $(mkindex) is expanded, the current working directory has been
(temporarily) set back into the source tree.  So from here we need to use
an explicit (but relative) path to reach scripts, rather than using
$(top_srcdir) which is a relative path from the build tree to the source
tree.  That only "worked" if the seperated build tree happened to be at the
same level in the file system as the source tree itself.  This way, I think,
works no matter where the source tree and build tree sit in the file system.

  plplot  bindings/tk/Makefile.am   1.15
  plplot  examples/tcl/Makefile.am  1.16


Commit from rlaboiss (2004-08-20 09:52 CEST)
--------------------

* cf/pdl.ac: Added file, in which the availability of the PDL PErl module,
  as well as its minimal version, are checked. A new AC_SUBST variable
  HAS_PDL, which can be either "yes" and "no" is available now.

* configure.ac: Include pdl.ac.

* cf/acinclude.m4: Added macro PL_COMPARE_VERSION, a handy way of comparing
  version strings.  It is called in cf/pdl.ac, but can be used elsewhere in
  the PLplot configuration scheme.

  plplot  configure.ac     1.185
+ plplot  cf/pdl.ac        1.1
  plplot  cf/acinclude.m4  1.8


Commit from rlaboiss (2004-08-20 02:26 CEST)
--------------------

Added missing AC_MSG_RESULT(no) after check of Java Native Interface and
removed spurious calls to AC_MSG_RESULT when checking for jni.h header file.

  plplot  cf/java.ac  1.13


Commit from arjenmarkus (2004-08-11 09:23 CEST)
-----------------------

Added prototypes for plot3dcl and plsurf3dl - the lack caused problems compiling plot3d.c on Windows

  plplot  sys/win32/msdev/src/plplot.h  1.4


Commit from andrewross (2004-08-05 17:25 CEST)
----------------------

Change plgridd.c to downgrade plabort to plwarn if QHULL or CSA support
is missing when regridding data. Also fall back to using Nearest
Neighbors "Around" Inverse Distance Weighted in these cases since it
requires no extra libraries or data. At least the program will produce
_something_ then.

  plplot  src/plgridd.c  1.9


Commit from rlaboiss (2004-07-20 22:27 CEST)
--------------------

Adjustments for docbook2X 0.8.3

  plplot  doc/docbook/src/Makefile.am  1.64
  plplot  cf/docbook.ac                1.5


Commit from airwin (2004-07-15 23:14 CEST)
------------------

Do indexing correctly for separated source and build trees.

  plplot  bindings/tk/Makefile.am  1.14


Commit from airwin (2004-07-15 21:25 CEST)
------------------

Put in x01.tcl dependence for tclIndex so that symlinks to x??.tcl will
always be generated before tclIndex indexes those symlinks.

  plplot  examples/tk/Makefile.am  1.21


Commit from andrewross (2004-07-15 15:08 CEST)
----------------------

Changes to get make check working with the --srcdir option.

Seems a little inconsistent to have some of the test_xxx.sh scripts
generated from the corresponding .in files but not others. Also this means
that some scripts are in the source tree while others end up in the build
tree. Move the .sh file to .sh.in and alter cf/test.ac so they are all
generated by automake.

Also add the PLPLOT_LIB variable in test/Makefile.am so the examples can
find the font files in the source directory.

  plplot  cf/test.ac              1.4
  plplot  test/Makefile.am        1.17
- plplot  test/test_c.sh          1.13
+ plplot  test/test_c.sh.in       1.1
- plplot  test/test_cxx.sh        1.13
+ plplot  test/test_cxx.sh.in     1.1
- plplot  test/test_octave.sh     1.19
+ plplot  test/test_octave.sh.in  1.1
- plplot  test/test_tcl.sh        1.12
+ plplot  test/test_tcl.sh.in     1.1


Commit from rlaboiss (2004-07-15 10:44 CEST)
--------------------

In install-hook, remove unneeded *.a *.la wrapper files.

  plplot  bindings/java/Makefile.am  1.43


Commit from airwin (2004-07-15 02:16 CEST)
------------------

PLplot.java has been moved on top of PLStream.java and the PLplot class has
been replace by the PLStream class.

  plplot  bindings/java/Makefile.am  1.42
  plplot  examples/java/x01.java     1.24
  plplot  examples/java/x02.java     1.10
  plplot  examples/java/x03.java     1.12
  plplot  examples/java/x04.java     1.11
  plplot  examples/java/x05.java     1.11
  plplot  examples/java/x06.java     1.9
  plplot  examples/java/x07.java     1.10
  plplot  examples/java/x08.java     1.23
  plplot  examples/java/x09.java     1.20
  plplot  examples/java/x10.java     1.10
  plplot  examples/java/x11.java     1.16
  plplot  examples/java/x12.java     1.10
  plplot  examples/java/x13.java     1.10
  plplot  examples/java/x14.java     1.10
  plplot  examples/java/x15.java     1.12
  plplot  examples/java/x16.java     1.12
  plplot  examples/java/x18.java     1.11
  plplot  examples/java/x22.java     1.6


Commit from airwin (2004-07-15 02:15 CEST)
------------------

The previous version of PLStream.java was a handcrafted java interface
that has long been superseded by the swig effort, but which is still useful
for reference.  It has been moved to plplot/old.  Meanwhile, with this commit
PLplot.java has been moved on top of PLStream.java and the PLplot class has
been replace by the PLStream class.

- plplot  bindings/java/PLplot.java    1.2
  plplot  bindings/java/PLStream.java  1.26


Commit from airwin (2004-07-15 01:20 CEST)
------------------

This file is our historical hand-crafted Java interface to PLplot that has
since been superseded by swig results.  Its previous location was
bindings/java/PLStream.java.  We will keep it in the old directory of
cvs for a while for historical reference purposes.

+ plplot  old/PLStream.java  1.1


Commit from airwin (2004-07-14 20:58 CEST)
------------------

Change to make pltclgen access source tree template files.  Thanks to Rafael
for help with the perl syntax.  This solves the final problem with the
separated build tree build for the tcl interface.

  plplot  bindings/tcl/Makefile.am  1.23
  plplot  bindings/tcl/pltclgen     1.8


Commit from airwin (2004-07-14 09:06 CEST)
------------------

Additional brute force changes to make separated build tree work. Note,
octave doesn't work, and there is a small issue with pltclgen accessing
buildtree template files rather than source tree files (you have to copy
them by hand), but otherwise the separated build works with these changes
for both make and make install.

make check does not work.

  plplot  bindings/tcl/Makefile.am  1.22
  plplot  examples/c/Makefile.am    1.19
  plplot  examples/c++/Makefile.am  1.20
  plplot  examples/f77/Makefile.am  1.25
  plplot  examples/tcl/Makefile.am  1.15
  plplot  examples/tk/Makefile.am   1.20
  plplot  lib/csa/Makefile.am       1.12
  plplot  lib/nn/Makefile.am        1.13


Commit from airwin (2004-07-14 03:20 CEST)
------------------

Brute force changes to make separated build tree work.
Note, octave doesn't work, and there is a small issue with pltclgen
accessing buildtree files rather than source tree files, but otherwise
the separated build works with these changes.

N.B.  No further testing done yet (such as make check, make install).

  plplot  bindings/c++/Makefile.am     1.15
  plplot  bindings/java/Makefile.am    1.41
  plplot  bindings/python/Makefile.am  1.36
  plplot  bindings/tcl/Makefile.am     1.21
  plplot  bindings/tk/Makefile.am      1.13
  plplot  drivers/Makefile.am          1.47
  plplot  examples/java/Makefile.am    1.18
  plplot  examples/tcl/Makefile.am     1.14
  plplot  examples/tk/Makefile.am      1.19
  plplot  utils/Makefile.am            1.12


Commit from rlaboiss (2004-07-13 23:53 CEST)
--------------------

Put files in correct places inside plplot.jar, i.e. bindings/java/*.java and
README.javaAPI go into plplot/core, and examples/java/x??.java and
README.javademos go into plplot/examples.

This completely eliminates the need for the examples_execjavadir and
ourexecjavadir variables. This is definitely a Good Thing (TM), because
Automake *dir variables should only be used when files are actually
installed.  In the past, the files were installed in
$(datadir)/java/plplot/{core,example}/, the jar command was run in a
install-hook rule, and finally the files were rm -rf.

Oh boy, that was hackish, not to say weird! :-)

  plplot  bindings/java/Makefile.am  1.40
  plplot  examples/java/Makefile.am  1.17


Commit from airwin (2004-07-13 21:54 CEST)
------------------

Remove legacy PLStream.java from consideration by Makefile.am. (This should
keep PLStream.java from being installed or put in the tarball, but leaves it
in cvs for historical reference use by developers.)

  plplot  bindings/java/Makefile.am  1.39


Commit from rlaboiss (2004-07-13 21:19 CEST)
--------------------

Make configure option --srcdir work (at least for the src directory)

  plplot  src/Makefile.am  1.15


Commit from rlaboiss (2004-07-13 20:59 CEST)
--------------------

* Do not install *.class files in $(datadir)/java.
* jar-stamp depends now on README.javaAPI.

  plplot  bindings/java/Makefile.am  1.38


Commit from rlaboiss (2004-07-13 20:57 CEST)
--------------------

* Include README.javaAPI, README.javademos, and x*.java in plplot.jar.
* Do not install the plplot/{core,examples} trees in $(datadir)/java.

  plplot  examples/java/Makefile.am  1.16


Commit from rlaboiss (2004-07-13 20:44 CEST)
--------------------

In config.summary, put the whole command line used in the configure
invokation.

  plplot  cf/summary.ac  1.4


Commit from rlaboiss (2004-07-13 14:10 CEST)
--------------------

Improvements of the Java bindings configuration/build scheme.

(1) In cf/java.ac, there are two new AC_SUBSTituted variables JAVAC and JAR,
    used in {bindings,examples}/java/Makefile.am as the java and jar
    commands, respectively.  The availability of the commands are checked by
    the configure script.

(2) Portability fix: changed the GNUish pattern rule for building *.class
    files from *.java.  An implicit rule (.java.class) is used now.  Since
    the javac command creates class files in a directory tree , it is
    necessary now to copy the generated file to the current directory.  This
    is why the *.class files have been added to CLEANFILES.

(3) The plplot.jar file is created in examples/java/Makefile.am using the
    make machinery.  This means that plplot.jar correctly depends on the
    *.class files now.  Since this must be done across directories (the
    plplot.core.* classes are elsewhere), a jar-stamp file is created in
    bindings/java/Makefile.am, which depends on the plplot/core/*.class
    files.  Installation of the plplot.jar is now controlled by Autmake,
    instead of using the install-hook method as before.

(4) The .cvsignore files have been accordingly tweaked.

  plplot  cf/java.ac                          1.12
  plplot  bindings/java/.cvsignore            1.7
  plplot  bindings/java/Makefile.am           1.37
  plplot  examples/java/.cvsignore            1.4
  plplot  examples/java/Makefile.am           1.15
  plplot  examples/java/Makefile.examples.in  1.4


Commit from mlebrun (2004-07-13 11:11 CEST)
-------------------

Bug fix: trap for existence of def_button_cmd (global var) before using.
An issue if user issues 'r' (reset) before any zoom.

Added support for user-specified zoom handler.  The zoom handler is what
causes the window contents to actually be redrawn, allowing the user to
take over this part of the logic with plplot handling the rest.  See
plw::set_zoom_handler.

Added some commentary.

  plplot  bindings/tk/plwidget.tcl  1.56


Commit from mlebrun (2004-07-12 12:52 CEST)
-------------------

Changed zoom & save setup to read option values from the resources database.
This will allow users to set these according to taste from an app-defaults
file, instead of always having to access the tk menu.  Also makes it nicer
for applications built on top of PLplot to override.

Wrote from scratch an "unlist" proc and converted to use it everywhere.

Split off the code that determines the multiplier on pan operations, so that
it can be called from clients.  See get_scroll_multiplier for info.

Changed label_refresh and label_pop to allow the client to pop off the top
label (leaving an empty label field) if so desired.  After calling label_pop,
must call label_refresh before the effect is seen.

  plplot  bindings/tk/plwidget.tcl  1.55


Commit from mlebrun (2004-07-12 12:45 CEST)
-------------------

Shuffled debug code around a bit, and excised all uses of "plsc".

  plplot  bindings/tk/plframe.c  1.88


Commit from mlebrun (2004-07-12 12:45 CEST)
-------------------

Removed global vars for specifying zoom & save options.  Now go through
the usual option handling for these, using resources named:
  zoom_fixaspect, zoom_startfrom, save_dev, save_multi

  plplot  bindings/tk/pldefaults.tcl  1.25


Commit from furnish (2004-07-08 21:15 CEST)
-------------------

Added some debugging code, useful for tracking down mysterious happenings in
the code.  Activate by defining DEBUG.  (Off in cvs, activate during
development only).

Set the PLplot stream upon entry to the widget command, to ensure that all
downstream activity is operating upon the correct stream.  Although some sub
sub commands were setting the stream, not all were.  For example, reporting
of world coordinates was giving bogus results because of not having the
correct stream when it did the reverse mapping of screen coords to world
coords.  This resolves a 9 year old bug.  Now you can have mouse tracking
bindings active on multiple plframes in a single application.

Implement widget subcommand "cget", which is utilized by Tk focus management
routines.  Dunno when that first appeared.  Noticed now in Tcl/Tk 8.4.6, but
it is entirely possible this bug has also been around for a decade, since the
Tk focus management code evidently wraps its machinations in catch clauses,
and conceals the widget errors from the user/application.  Note that
-takefocus and -state remain undefined in plframe, but at least the cget ops
won't be generating silent errors anymore.

  plplot  bindings/tk/plframe.c  1.87


Commit from furnish (2004-07-08 15:53 CEST)
-------------------

Improve tMat_Assert macro so that it functions properly without imposing
namespace import requirements on the surrounding client code.  This allows
translation units which include this file, to compile properly even if they
don't have an implicit using namespace std in scope.

  plplot  bindings/tcl/tclMatrix.h  1.25


Commit from andrewross (2004-07-07 10:27 CEST)
----------------------

Move plplot.jar to $prefix/java and plplotjavac_wrap.so to $prefix/lib/jni.
We now follow Debian recommendations on this for want of any clearer guidance.

  plplot  bindings/java/Makefile.am       1.36
  plplot  bindings/java/README.javaAPI    1.10
  plplot  cf/java.ac                      1.11
  plplot  examples/java/Makefile.am       1.14
  plplot  examples/java/README.javademos  1.10


Commit from andrewross (2004-07-06 09:54 CEST)
----------------------

Whoops. Missed one reference when changing the Plplot class name to PLplot.

  plplot  bindings/java/Makefile.am  1.35


Commit from andrewross (2004-07-05 12:07 CEST)
----------------------

Rename Plplot class to PLplot - consistent with our project name. It is
customary to capitalise the name of java classes, hence PLplot rather than
plplot.

Change close() method back to use end1 / end instead since this is slightly
more flexible where you want to open and close streams without having to
reinitialise the library.

Update examples to reflect these changes.

  plplot  bindings/java/Makefile.am  1.34
+ plplot  bindings/java/PLplot.java  1.1
- plplot  bindings/java/Plplot.java  1.2
  plplot  examples/java/x01.java     1.23
  plplot  examples/java/x02.java     1.9
  plplot  examples/java/x03.java     1.11
  plplot  examples/java/x04.java     1.10
  plplot  examples/java/x05.java     1.10
  plplot  examples/java/x06.java     1.8
  plplot  examples/java/x07.java     1.9
  plplot  examples/java/x08.java     1.22
  plplot  examples/java/x09.java     1.19
  plplot  examples/java/x10.java     1.9
  plplot  examples/java/x11.java     1.15
  plplot  examples/java/x12.java     1.9
  plplot  examples/java/x13.java     1.9
  plplot  examples/java/x14.java     1.9
  plplot  examples/java/x15.java     1.11
  plplot  examples/java/x16.java     1.11
  plplot  examples/java/x18.java     1.10
  plplot  examples/java/x22.java     1.5


Commit from rlaboiss (2004-07-02 20:59 CEST)
--------------------

The install-data-hook rule must either be outside an automake conditional or
be present in both "if" and "else" parts (cf the other examples/*/Makefile.am
files).

  plplot  examples/java/Makefile.am  1.13


Commit from andrewross (2004-07-02 17:58 CEST)
----------------------

Add the following missing functions to the C++ bindings. The C++ bindings
now contain all the functions in the java/python bindings, plus a few extra
which haven't been implemented with swig yet.

  plplot  bindings/c++/plstream.cc  1.28
  plplot  bindings/c++/plstream.h   1.21


Commit from andrewross (2004-07-02 17:22 CEST)
----------------------

Add a new Plplot java class. This effectively wraps the plplotjavac class
in an object orientated manner, rather like the C++ plstream class. Each
instance of a class is associated with a plplot stream. Loading of the
java library and switching streams is handled automatically. This is
what was always intended for the java wrapper I believe, but never
happened with swig.

Update examples to use the new Plplot class. This removes most of the
warning messages generated by jikes. A few remain because the new class
implements the plplotjavacConstants interface to get the constant PL_*.

Since this is built on top of the existing bindings it is completely
backwards compatible. To add new functions you need to add them to
Plplot.java as well as to plplotcapi.i (in the swig directory).

  plplot  bindings/java/Makefile.am  1.33
+ plplot  bindings/java/Plplot.java  1.1
  plplot  examples/java/x01.java     1.22
  plplot  examples/java/x02.java     1.8
  plplot  examples/java/x03.java     1.10
  plplot  examples/java/x04.java     1.9
  plplot  examples/java/x05.java     1.9
  plplot  examples/java/x06.java     1.7
  plplot  examples/java/x07.java     1.8
  plplot  examples/java/x08.java     1.21
  plplot  examples/java/x09.java     1.18
  plplot  examples/java/x10.java     1.8
  plplot  examples/java/x11.java     1.14
  plplot  examples/java/x12.java     1.8
  plplot  examples/java/x13.java     1.8
  plplot  examples/java/x14.java     1.8
  plplot  examples/java/x15.java     1.10
  plplot  examples/java/x16.java     1.10
  plplot  examples/java/x18.java     1.9
  plplot  examples/java/x22.java     1.4


Commit from airwin (2004-07-01 21:59 CEST)
------------------

Put *.java files for the binding into the installed directory tree which
eventually is archived into a jar file.

  plplot  bindings/java/Makefile.am  1.32


Commit from andrewross (2004-07-01 11:35 CEST)
----------------------

Don't build a plplot-examples.jar file in the examples/java directory
anymore. Update java README's to reflect new setup.

  plplot  bindings/java/README.javaAPI        1.9
  plplot  examples/java/Makefile.examples.in  1.3
  plplot  examples/java/README.javademos      1.9


Commit from andrewross (2004-07-01 11:19 CEST)
----------------------

Change variable clevel in potential() to avoid warning from jikes about
a global and local variable with the same name.

  plplot  examples/java/x09.java  1.17


Commit from andrewross (2004-07-01 11:15 CEST)
----------------------

More refinements of the java build process. The java class files for the
bindings and examples are now compiled separately in their own subdirectories
at compile time. The created class files, along with the README files and
the java example code is installed at install time. An installation hook
then creates a single jar file plplot.jar from the plplot/ class tree in
share/plplot/java/ and removes the tree.

The examples can now be run after installation by doing something like
java -classpath /usr/local/share/plplot-5.3.1/java/plplot.jar plplot.examples.x01
or by setting the CLASSPATH variable and doing
java plplot.examples.x01

Note the examples are also installed along with a makefile to build them in
share/plplot/examples/java since that is where the user might expect to
find them. If you ensure the examples directory is before the plplot.jar
file in your classpath then it should pick up the correct version of the
examples in case the user wants to edit and test them.

export CLASSPATH=/usr/local/share/plplot-5.3.1/examples/java:/usr/local/share/plplot-5.3.1/java/plplot.jar
java plplot.examples.x01

  plplot  bindings/java/Makefile.am  1.31
  plplot  examples/java/Makefile.am  1.12
  plplot  test/Makefile.am           1.16
  plplot  test/test_java.sh.in       1.3


Commit from aroach (2004-07-01 07:11 CEST)
------------------

The last addition to this driver was two registary keys to provide
"default" setup with respect to freetype (I was getting sick of
always using -drvopt text,smooth). Well, that was great, but I
neglected to have a mechanism for SETTING these registary keys,
meaning you would have to set them using regedit. To overcome this,
I have added a new command line -drvopt "save", which will save the
current settings to the registary. For example, "-drvopt
text=0,smooth=0,save" will set the registary keys to use the hershey
fonts and no smoothing by default (ie if no -drvopt is given), whereas
"-drvopt text,smooth,save" will SET freetype text support with smoothing
ON by default for any time nothing contridictory is supplied on the
command line using -drvopt.

  plplot  drivers/wingcc.c  1.5


Commit from andrewross (2004-06-30 23:17 CEST)
----------------------

Update README.javademos to reflect recent changes to java configuration
and installation.

  plplot  examples/java/README.javademos  1.8


Commit from andrewross (2004-06-30 22:26 CEST)
----------------------

Fix small warning in config class.

  plplot  bindings/java/config.java.in  1.8


Commit from andrewross (2004-06-30 22:06 CEST)
----------------------

Make some constant variables static to reduce warnings from jikes.

  plplot  examples/java/x05.java  1.8
  plplot  examples/java/x08.java  1.20
  plplot  examples/java/x09.java  1.16
  plplot  examples/java/x11.java  1.13
  plplot  examples/java/x14.java  1.7
  plplot  examples/java/x15.java  1.9
  plplot  examples/java/x16.java  1.9
  plplot  examples/java/x18.java  1.8


Commit from andrewross (2004-06-30 19:42 CEST)
----------------------

Add --with-java-home and --with-java-incdir options to configure script
to replace env variables JAVA_HOME and JAVA_INCDIR. (Although the latter
will still work).

  plplot  cf/java.ac  1.10


Commit from airwin (2004-06-30 19:11 CEST)
------------------

-I$(NUMERICINCCMD) ==> $(NUMERICINCCMD)

This was a bug I introduced in yesterday's changes.

  plplot  bindings/python/Makefile.am  1.35


Commit from andrewross (2004-06-30 18:04 CEST)
----------------------

Changes to configuration, build and test process for java to enable
"make check" to work with java examples. Java examples can now be built
in situ. Tested with jikes/sablevm and with the Sun JDK.

The environment variable JAVACFLAGS is now honoured for building the java
examples. An immediate use of this is to add the -nowarn flag for jikes
which otherwise generates lots of (slightly) spurious warning messages.
Alan and I are working on it...

  plplot  examples/java/.cvsignore            1.3
  plplot  examples/java/Makefile.am           1.11
  plplot  examples/java/Makefile.examples.in  1.2
  plplot  test/Makefile.am                    1.15
  plplot  test/plplot-test.sh.in              1.23
  plplot  test/test_java.sh.in                1.2


Commit from aroach (2004-06-30 15:16 CEST)
------------------

Made some small changes to get gd.c compiling cleanly with
"-pedantic"

  plplot  drivers/gd.c  1.34


Commit from aroach (2004-06-30 15:13 CEST)
------------------

Made some subtle changes to get rid of a couple of -pedantic
warnings.
Also added two registry entries for the driver that "double up" on
the driver options. the keys are:
HKEY_CURRENT_USER\Software\PLplot\wingcc\freetype
HKEY_CURRENT_USER\Software\PLplot\wingcc\smooth
If either of these are set to 1, then that feature will, by default, be
activated. so setiing both keys to 1 in the registry it is the same as
-drvopt text,smooth

  plplot  drivers/wingcc.c  1.4


Commit from andrewross (2004-06-30 10:54 CEST)
----------------------

Fix bug in java install with jikes. It fails to handle dependencies
between java files correctly. Rather than using default rules we now
force the java compilation ourselves and compile config.java before the
other java files.

  plplot  bindings/java/Makefile.am  1.30


Commit from rlaboiss (2004-06-30 09:29 CEST)
--------------------

Files plplotc.pyc and plplot.pyc are created by make check and must be
deleted by make clean.

  plplot  bindings/python/Makefile.am  1.34


Commit from airwin (2004-06-30 07:36 CEST)
------------------

Following refined proof-of-concept for wingcc.ac, use documented configure
options for user-specified paths to replace undocumented environment
variables that historically have been used for the same purpose.

In the python case, the variables that are AC_SUBSTituted have different
names so change the bindings/python Makefile.am file appropriately.

  plplot  bindings/python/Makefile.am  1.33
  plplot  cf/cgm.ac                    1.4
  plplot  cf/freetype.ac               1.3
  plplot  cf/gd.ac                     1.3
  plplot  cf/python.ac                 1.7


Commit from airwin (2004-06-30 07:32 CEST)
------------------

Refinement of documented configure options for user-specified paths.

  plplot  cf/wingcc.ac  1.5


Commit from andrewross (2004-06-29 19:52 CEST)
----------------------

Remove extra / from library path.

  plplot  bindings/java/config.java.in  1.7


Commit from andrewross (2004-06-29 16:54 CEST)
----------------------

Remove extra semicolons which generated a warning with gcj.

  plplot  examples/java/x22.java  1.3


Commit from andrewross (2004-06-29 16:51 CEST)
----------------------

Compile java files in the build tree, create jar files, then install jar
files. Just like we do for other languages.

There are two separate jar files so the user can play with and rebuild the
examples if they like. There is a Makefile in share/plplot/examples/java
for this - like the Makefile.examples for other languages.

Update test_java.sh script to use the new jar files. As long as everything
is in the installation directories set at configure time there is no need
to set the CLASSPATH.

Tested with gcj and with Sun JDK. Please check this on your system,
particularly if you are not using Linux.

  plplot  bindings/java/.cvsignore            1.6
  plplot  bindings/java/Makefile.am           1.29
  plplot  cf/java.ac                          1.9
  plplot  cf/test.ac                          1.3
  plplot  examples/Makefile.examples          1.2
  plplot  examples/java/.cvsignore            1.2
  plplot  examples/java/Makefile.am           1.10
+ plplot  examples/java/Makefile.examples.in  1.1
  plplot  test/.cvsignore                     1.8
- plplot  test/test_java.sh                   1.9
+ plplot  test/test_java.sh.in                1.1


Commit from rlaboiss (2004-06-29 13:13 CEST)
--------------------

Moved plConfig.h and plDevs.h to nodist_pkginclude_HEADERS, while the old
pkginclude_HEADERS variable is renamed to dist_pkginclude_HEADERS.  This
prevents the inclusion of plConfig.h and plDevs.h in the distribution
tarball.

  plplot  include/Makefile.am  1.5


Commit from andrewross (2004-06-29 10:52 CEST)
----------------------

Ensure source for java examples is available in $(DATA_DIR)/examples/java
since the latest changes deleted the version under $(DATA_DIR)/java/
after compilation. The java examples won't compile as-is in this tree.
This needs fixing.

  plplot  examples/java/Makefile.am       1.9
  plplot  examples/java/README.javademos  1.7


Commit from andrewross (2004-06-29 10:42 CEST)
----------------------

Update java notes to include new tested java environments.

  plplot  examples/java/README.javademos  1.6


Commit from andrewross (2004-06-29 10:41 CEST)
----------------------

Alter java bindings to allow location of the wrapper library to be
specfied through a java property (plplot.libdir). To use this you
can add something like
-Dplplot.libdir="/usr/local/lib/plplot5.3.1/java/"
to you java command. Should help make code more relocatable and also help
with getting "make check" to work in the build tree.

  plplot  bindings/java/PLStreamc.java  1.4
  plplot  bindings/java/config.java.in  1.6


Commit from airwin (2004-06-29 06:58 CEST)
------------------

New paradigm for Java install.

* plplotjavac_wrap.so installed in $prefix/lib/plplot$version/java

* the rest of the files (which are not architecture specific) are assembled
  in the $prefix/share/plplot$version/java/plplot/* tree, then put into
  $prefix/share/plplot$version/java/plplot.jar with the jar command, and the
  now redundant the $prefix/share/plplot$version/java/plplot/* tree is
  subsequently removed.

  plplot  bindings/java/Makefile.am     1.28
  plplot  bindings/java/config.java.in  1.5
  plplot  cf/java.ac                    1.8
  plplot  examples/java/Makefile.am     1.8


Commit from rlaboiss (2004-06-28 17:46 CEST)
--------------------

Drop *.txt from CLEANFILES.  The files plplot-symbols.txt and
plplot-structs.txt are removed through MANTAINERCLEANFILES, anyway.

  plplot  doc/docbook/src/Makefile.am  1.63


Commit from rlaboiss (2004-06-28 12:31 CEST)
--------------------

Removed obsolete text telling that these manual pages belong to the Debian
packages.

  plplot  doc/plm2gif.1   1.3
  plplot  doc/plpr.1      1.3
  plplot  doc/plrender.1  1.3
  plplot  doc/plserver.1  1.3
  plplot  doc/pltcl.1     1.4
  plplot  doc/pltek.1     1.3


Commit from rlaboiss (2004-06-28 12:29 CEST)
--------------------

Added ".cvs" suffix to version string in AC_INIT.

  plplot  configure.ac  1.184


Commit from mlebrun (2004-06-28 11:35 CEST)
-------------------

Fixed description & added a bit more.

  plplot  doc/pltcl.1  1.3


Commit from airwin (2004-06-27 20:36 CEST)
------------------

Use documented configure options rather than undocumented environment
variables to allow user to specify the paths for the libgdi32 header
files and library.

  plplot  cf/wingcc.ac  1.4


Commit from mlebrun (2004-06-27 11:55 CEST)
-------------------

Fixed broken logic in plP_eop() (mine, from long ago) governing when to
not do anything.  Now correctly does nothing only when already at eop,
instead of depending on plsc->page_status==DRAWING as previous.

  plplot  src/plcore.c  1.135


Commit from airwin (2004-06-27 00:54 CEST)
------------------

Institute a wingcc windows.h header search, and use the results when
compiling wingcc.c.  This allows coming close to building the wingcc device
driver on Linux using libgdi32.a from the mingw32-runtime package, but there
are still some additional library issues (and possibly some header issues)
to work out to resolve a missing _iob symbol.

  plplot  cf/wingcc.ac         1.3
  plplot  drivers/Makefile.am  1.46


Commit from airwin (2004-06-27 00:48 CEST)
------------------

Deal with header and library  using the same style as gd.ac.

  plplot  cf/cgm.ac  1.3


Commit from airwin (2004-06-27 00:45 CEST)
------------------

Make sure plD_DEVICE_INFO_wingcc has a unique index number.

  plplot  drivers/wingcc.c  1.3


Commit from airwin (2004-06-27 00:44 CEST)
------------------

Use unique plD_DEVICE_INFO_mem index number.

  plplot  drivers/mem.c  1.3


Commit from rlaboiss (2004-06-26 09:48 CEST)
--------------------

Updated for released version 5.3.1

  plplot  configure.ac  1.183


Commit from airwin (2004-06-26 09:05 CEST)
------------------

int to PLINT in one of the typemap arguments.  Normally PLINT is int so this
should not make any practical difference, but better to be consistent about
this.

  plplot  bindings/python/plplotcmodule.i  1.22


Commit from airwin (2004-06-26 09:01 CEST)
------------------

Style changes: make arguments consistent and reorder typemap for
(PLINT *ArrayCk, int n) so that it comes before typemap for PLINT *ArrayCk.

  plplot  bindings/python/plplotcmodule.i  1.21


Commit from airwin (2004-06-26 08:54 CEST)
------------------

Make 22nd python example consistent with others.

  plplot  examples/python/xw22.py  1.2


Commit from airwin (2004-06-26 08:53 CEST)
------------------

Drop redundant dimension information from pls.plsvect call consistent with
the (very) recently changed API.

  plplot  examples/java/x22.java  1.2


Commit from airwin (2004-06-26 08:51 CEST)
------------------

Add (PLFLT *ArrayCk, PLINT n) typemap.  This changes the API of the Java
interface in a backwards incompatible way for plarrows and plsvect so that
they now follow the standard that redundant dimension information is dropped.

  plplot  bindings/java/plplotjavac.i  1.19


Commit from airwin (2004-06-26 06:02 CEST)
------------------

* Commentary improvements

* Reduce -Wall -pedantic warnings

* Bug fix: %typemap(in) (PLINT *ArrayCk, PLINT n) was previously not
  processing n.  This problem was found by -Wall -pedantic compilation and
  affects the python version of plarrows, plscmap0, plscmap1, and plsvect.

  plplot  bindings/java/plplotjavac.i  1.18


Commit from airwin (2004-06-26 05:29 CEST)
------------------

Simplify %typemap(in) char *OUTPUT typemap.  This has been tested on
free-java.sdk with no apparent problems, but needs further testing as well.

  plplot  bindings/java/plplotjavac.i  1.17


Commit from airwin (2004-06-26 05:23 CEST)
------------------

Style changes; consistent style for arguments and have complicated
multi-argument typemaps defined before simpler typemaps.

  plplot  bindings/java/plplotjavac.i  1.16


Commit from airwin (2004-06-26 04:13 CEST)
------------------

Tweak argument style to be consistent.

  plplot  bindings/swig-support/plplotcapi.i  1.7


Commit from airwin (2004-06-26 00:45 CEST)
------------------

Minor tweaks to reduce -Wall -pedantic gcc warnings.

  plplot  bindings/python/plplot_widgetmodule.c  1.8
  plplot  src/plbuf.c                            1.4
  plplot  src/plcont.c                           1.30
  plplot  src/plsym.c                            1.37


Commit from airwin (2004-06-26 00:44 CEST)
------------------

Put in format for tok output and other changes recommended by -Wall
-pedantic compilation options for gcc.

  plplot  bindings/octave/massage.c  1.5


Commit from airwin (2004-06-25 23:42 CEST)
------------------

Got rid of $Log that was clogging up the text with commit messages.

  plplot  examples/python/x16.py  1.5


Commit from airwin (2004-06-25 23:40 CEST)
------------------

Got rid of $Log and the many resulting commit messages that were clogging up
the text.

  plplot  bindings/tk-x-plat/Plplotter_Init.c  1.9
  plplot  bindings/tk-x-plat/Plwindow.tcl      1.2
  plplot  bindings/tk-x-plat/plplotter.c       1.18
  plplot  bindings/tk-x-plat/pltkwd.h          1.5
  plplot  bindings/tk-x-plat/plwidget2.tcl     1.4


Commit from airwin (2004-06-25 21:22 CEST)
------------------

Fixed bug involving parentheses error.

  plplot  src/plfreetype.c  1.22


Commit from aroach (2004-06-25 14:21 CEST)
------------------

Small change to let -lgdi32 be exported properly through the build
process.

  plplot  drivers/Makefile.am  1.45


Commit from aroach (2004-06-25 14:18 CEST)
------------------

Notes for building on Mingw added.

  plplot  INSTALL  1.17



Local Variables:
mode: indented-text
End:
